# 指令名称对照表

## 系统级指令

指令名 | 说明
:-----: | :-----:
**u** | *更新指定控件指定属性值*
**setConfig** | *设置form的config*
**setMetaData** | *更新指定控件值*
**setData** | *更新指定控件值*
**InvokeControlMethod** | *调用指定控件的指定方法*
**updateControlMetadata** | *动态更新控件的元数据*
**addControls** | *动态增加控件元数据*
**insertControls** | *动态插入控件元数据*
**deleteControls** | *动态删除控件*
**donothing** | *空操作*
**setVisible** | *设置控件/字段的可见性*
**setEnable** | *设置控件/字段的锁定性*
**getLocation** | *获取位置信息*
**setLocation** | *设置位置信息*
**showErrMsg** | *弹出后端报错的弹框*
**ShowWarnningMsg** | *弹出后端报错的弹框*
**ShowNotificationMsg** | *在页面上方提示信息*
**showConfirm** | *打开操作确认的弹框*
**setNumFmtInfo** | *返回所有币别的精度信息(包括：金额精度、单价精度、货币符号、是否显示货币符号)*
**updateComboItems** | *更新下拉列表选项值*
**lockFields** | *客户端界面规则：锁定字段*
**unlockFields** | *客户端界面规则：解锁字段*
**showFields** | *客户端界面规则：显示字段*
**hideFields** | *客户端界面规则：隐藏字段*
**lockControls** | *客户端界面规则：锁定控件*
**unlockControls** | *客户端界面规则：解锁控件*
**showControls** | *客户端界面规则：显示控件*
**hideControls** | *客户端界面规则：隐藏控件*
**setFormStatus** | *设置表单状态（新增：0、修改：1、查看：2、初始：3、提交：4、审核：5）*
**setMenuItemVisible** | *设置菜单子项的可见性(云之家)*
**showPictureView** | *显示图片预览*
**previewAttachment** | *显示附件预览*
**showGuide** | *显示用户向导*
**closeuserguide** | *关闭用户向导*
**showMessage** | *弹出提示类信息框*
**showRobotMessage** | *弹出小k消息框*
**closeRobotMessage** | *关闭小k消息框*
**setSlideBillFormId** | *设置滑动菜单打开的表单Id*
**showSlideBill** | *打开滑动菜单*
**showHotQuestion** | *显示帮助面板*
**updateGrid** | *更新表格视图（平铺、分录）*
**setCustomProperties** | *设置自定义参数*
**openWindow** | *通过pageId打开新页面*
**openUrl** | *新页面打开链接*
**download** | *下载数据文件，引出的时候使用*
**showForm** | *打开表单*
**closeWindow** | *关闭表单*
**closeBrowserPage** | *关闭浏览器页签*
**closeExploreWindow** | *关闭浏览器窗口*
**sendDynamicFormAction** | *发送动态表单action*
**activate** | *激活已打开的页签*
**callClientAction** | *执行客户端界面规则*
**callAppMethod** | *调用app服务*
**callAppMethodCallback** | *调用app服务给后端回传数据之前发指令*
**photos** | *云之家拍照*
**shareToYZJ** | *云之家分享*
**chatToYZJ_PC** | *发起云之家沟通(PC)*
**chat** | *发起云之家沟通(PC)*
**addCalendarEvent** | *添加手机日历事件*
**updateFmt** | *币别参数设置*
**getCustomerFile** | *文件选择器指令*
**showFieldTips** | *显示字段提示信息*
**setTextareaCursorPosition** | *设置多行文本光标位置*  
**sign** | *证书签名*
**verify** | *证书验签*
**getUserTheme** | *获取用户主题*
**modifyTheme** | *更改主题色*
**executeClientCommand** | *执行后台业务自定义指令，基于平台基本功能的扩展*
**setBadgeInfo** | *徽标控件：设置徽标信息*
**setAIToken** | *设置ai的token*
**setTimeZone** | *设置组织的时区信息*
**setTimeZones** | *设置组织的时区信息*
**addClientCallBack** | *服务器请求客户端异步回调指令*
**setShortCuts** | *设置热键*
**f5Refresh** | *应用刷新*
**setPageLoading** | *设置页面loading*
**onShow** | *控件延时加载后，从隐藏到可见，用于后台性能优化，在容器可见后加载相关业务逻辑*
**getTimeZone** | *获取系统时区*
**addTask** | *大任务处理中心：添加任务*
**updateTask** | *大任务处理中心：更新任务*
**clearTasks** | *大任务处理中心：清除所有已完成任务*
**taskClick** | *大任务处理中心：点击任务条*
**delTask** | *大任务处理中心：确认删除任务*
**scrollIntoView** | *指定组件滚动到可视窗口*

## 控件级指令

指令名 | 说明
:-----: | :-----:
**addAttachment** | *附件：添加附件*
**mark** | *附件：给附件添加备注*
**removeAttachment** | *附件：删除附件*
**beforeRemove** | *附件：删除附件前确认是否删除*
**addAttachOperaBtn** | *附件：添加附件自定义操作按钮*
**showFlexible** | *弹性域：打开弹性域面板*
**closeFlexible** | *弹性域：关闭弹性域面板*
**showDataSelect** | *(移动端)通用字段方法：调用数据选择界面(可能是人员，组织等)*
**setLookUpListValue** | *设置模糊查询结果*
**removeItem** | *F7已选列表：删除选中项事件*
**removeAllItems** | *F7已选列表：删除所有项*
**addItems** | *F7已选列表：添加选中项事件*
**loadDateSelectPanel** | *日期相关字段：设置日期选择面板(移动端)*
**setColFmtInfo** | *表格：设置列关联的单据头字段，按ctrlkey取*
**setCurrencyFmtInfo** | *表格：设置列关联单据体字段，取金额-币别信息*
**setUnitFmtInfo** | *表格：设置列关联单据体字段，取数量-单位信息*
**updateCellFmt** | *表格：强制刷新单元格*
**appendRows** | *表格：新增行(支持多行)*
**deleteRows** | *表格：删除选中行*
**insertRow** | *表格：在选中行下方插入新行*
**moveUp** | *表格：选中行上移一行*
**moveDown** | *表格：选中行下移一行*
**selectRows** | *表格：设置的选中行*
**setFocus** | *表格：设置的焦点行*
**clearSelRows** | *卡片：清除移动端卡片选中行*
**clear** | *表格：清楚表格所有数据*
**clearEntryState** | *表格：清除表格所有页的行选中在工具栏的信息*
**setListRealPageCount** | *表格：设置实际行数据量和总页数*
**setBillDataCount** | *表格：设置sql查询单据张数*
**createGridColumns** | *表格：动态创建列*
**lock** | *表格：动态设置grid列/单元格/行的锁定、或者是设定卡片视图的行卡片中的字段或控件的可见*
**rowlock** | *表格：动态设置行的锁定*
**visible** | *表格：动态设置表格列可见性 、advgrid中(卡片视图)某行卡片中的字段或控件的可见*
**setRowStyle** | *表格：设置行的样式（可以设置多行）*
**setCellStyle** | *表格：设置单元格样式*
**expandAllNode** | *表格：展开树形单据体行的所有节点*
**expandNode** | *表格：展开树形单据体行的子节点*
**collapseAllNode** | *表格：关闭树形单据体行的所有节点*
**collapseNode** | *表格：关闭树形单据体行的子节点*
**cellStartEdit** | *表格：设置某个单元格进入编辑*
**setFloatButtomData** | *表格：设置合计字段的值*
**setCustomProperties** | *设置卡片视图某一行卡片某个字段的某个属性的值*
**setListView** | *设置列表的展示视图(表格、卡片or轻分析)*
**setColProp** | *表格：动态设置单据体特定列的某属性(比如可以修改标题'Header'等)*
**setColEditorProp** | *表格：动态设置单据体特定列的Editor中的某属性(比如必录项'mi')*
**hideOperateItems** | *表格：动态设置隐藏操作列的操作项*
**lockOperateItems** | *表格：动态设置锁定操作列的操作项*
**setCommonUse** | *常用面板：动态设置常用按钮的状态*
**setSelectedDataInfo** | *表格：动态设置选中行的信息，单据数和金额合计*
**setVirtualData** | *表格：设置虚模式表格数据*
**setDetailGridData** | *表格：设置表格详细行子表格属性和数据*
**setLookUpListValue** | *表格：单据体基础资料模糊查询匹配*
**showRealCountTips** | *表格：当表格行数大于设置数时，设置实际行数提示*
**addCard** | *栅格容器：新增卡片（允许新增一个或者多个卡片）*
**deleteCard** | *栅格容器：删除指定卡片*
**reset** | *栅格容器：重置*
**refresh** | *栅格容器、轻分析、小部件：刷新*
**switchGridView** | *切换表格视图*
**createCardView** | *创建卡片视图*
**addQingView** | *动态添加轻分析视图*
**expandOrCloseRowDetail** | *表格行展开功能，展开或收起表格行*
**gridFullScreen** | *移动端表格全屏指令*
**hidecardrowpanel** | *动态隐藏卡片*
**setBackgroundImg** | *flex面板：设置flex面板背景图片*
**setfontclass** | *字体图标：设置图标class*
**updatecarousel** | *轮播图：更新轮播图图片*
**closeGuide** | *向导控件：关闭用户向导*
**postMessage** | *HTML控件、iframe控件：发送消息到指定域或html链接所在域*
**addUrl** | *超链接：设置超链接url*
**setBackground** | *设置字体图标背景颜色*
**setImg** | *字体图标：设置字体图标图片*
**fontSerach** | *字体图标：设置字体图标列表查询字符串*
**selectPoint** | *地图：设置前端地图控件选中某个节点(节点包含具体信息)*
**selectAddress** | *地图：设置前端地图标记某个地址,以节点形式*
**getAddress** | *地图：获取实时定位信息*
**createFilterColumns** | *过滤控件、列表、报表：设置过滤字段*
**loadSchemeList** | *过滤控件、报表：加载方案过滤信息*
**addScheme** | *过滤控件、报表：新增查询方案*
**updateScheme** | *过滤控件、报表：更新查询方案*
**deleteScheme** | *过滤控件、报表：删除查询方案*
**setF7Value** | *基础资料：设置基础资料字段的值*
**nlpSearch** | *设置智能搜索推荐结果*
**nlpFunctionOpen** | *开启智能搜索功能*
**loadCommonConditions** | *表格：加载已有过滤条件*
**setAddBtnStatus** | *表格：控制“添加条件”按钮可见性*
**updateSearchCondition** | *报表：更新查询条件*
**selectScheme** | *报表：选择查询方案*
**setCollapse** | *分割容器：设置分割容器是否折叠*
**activeTab** | *页签控件：设置激活页签*
**updateTabName** | *页签控件：更新页签名*
**addNodes** | *树控件：添加树节点*
**updateNodes** | *树控件：更新树节点*
**checkNodes** | *树控件：勾选树节点（包括子节点）*
**checkNodeWithoutChild** | *树控件：勾选树节点（不包括子节点）*
**uncheckNodes** | *树控件：取消勾选树节点（包括子节点）*
**unCheckNodeWithoutChild** | *树控件：取消勾选树节点（不包括子节点）*
**focusNode** | *树控件：选中某个树节点*
**delNodes** | *树控件：删除单个或多个树节点*
**delAllNodes** | *树控件：删除所有节点*
**rootVisible** | *树控件：设置根节点可见性*
**showNode** | *树控件：设置搜索到树节点后，将节点的所有上级展开，并展示该节点*
**expand** | *树控件：展开某个节点*
**collapse** | *树控件：收起某个节点*
**createTreemenu** | *树形菜单：设置侧边栏导航节点集*
**setTreeMenusMarked** | *树形菜单：侧边栏导航收藏功能*
**setDateType** | *工作日历：设置日期类型*
**sendDate** | *工作日历：点击日期打开面板，将日期发送给服务端*
**open** | *设计器打开单据*
**setAutoCompleteItems** | *搜索控件：设置自动完成下拉模式下，下拉列表的展示内容*
**scanAndOCR** | *OCR扫描*
**loadOCRPicture** | *加载OCR扫描图片*
**activeListboxItem** | *listbox：动态激活listbox某一项*
**setHomePageTabFixed** | *门户首页页签点击锁定*
**setOrgTimeZone** | *设置组织时区*
**setItemIsSelected** | *常用面板：设置某一项是否选中*
**deleteItem** | *常用面板：删除某一项*
**webOfficeAction** | *weboffice统一内部方法入口， weboffice内部方法放到了event下*
**setSliderValue** | *滑动输入条：设置值*
**setSliderMarks** | *滑动输入条：设置刻度标记*
**setRateScore** | *评分控件：设置值*
**setRateTexts** | *评分控件：设置值对应文本*
**setDuration** | *倒计时控件：设置倒计时时长*
**pause** | *评分控件暂停/继续倒计时*
**setCurrentStep** | *步骤条控件：设置当前进行的步骤*
**setStepsOptions** | *步骤条控件：设置整个步骤配置*
**setTimelineOptions** | *步骤条控件：设置整个步骤配置*
