```java
public class TestPlugin extends AbstractMobListPlugin {

	@Override
	public void afterBindData(EventObject e) {
		// 平台调用
		this.getView().scrollIntoView("key", this.getView().getPageId());


		// 业务调用，不推荐
		IClientViewProxy proxy = this.getView().getService(IClientViewProxy.class);
		Map<String,Object> params = new HashMap<>(6);
		params.put("k", "key"); // key 为控件标识
		proxy.addAction("scrollIntoView", params);
	}
}
```