# 如何开启移动端的头部组件

>**在二开过程中，有些产品没有自己的头部组件,其返回只能通过手机自带的返回按钮，并且没有标题等信息，面对该场景，苍穹平台提供了标准的头部组件，只需要以下操作即可开启这个头部组件**

## 配置方式
使用管理员身份登录，然后 `系统管理` => `登录页配置` => `高级设置` => `下载模版`，解压后有两个文件`index.js`、`index_m.js`。
- **index.js** 用于扩展web端的页面
- **index_m.js** 用于扩展移动端页面

!>修改 index_m.js, 添加代码  window.isShowMobileTopNav = true

```js
(function(){
    /**二开扩展 移动端js
     * 注意：扩展的js默认是在平台的js前运行，如需扩展的js在平台的js后运行，需要在写在window.afterLoaded中，如下
     * window.afterLoaded = function (){
     *    // your code 
     * }
     * 
    */
   window.isShowMobileTopNav = true
})();
```

最后把js文件压缩后上传，重新访问即可
