# 字段校验

> 开启提交校验后前端将进行字段的规则校验，后端校验提示信息也可发送到前端。

## 开启校验

选中保存按钮，打开提交校验属性即可，具体校验操作可在操作代码属性里配置。

![开启校验](./image/jiaoyan.PNG)

## 前端校验

### 不参与前端校验的字段类型名单

附件字段、图标、复选框、单选按钮、单选按钮组、图片
['attachmentfield', 'icon', 'checkbox', 'radio', 'radiogroup', 'picture']

### 前端校验类型

检验类型 | 说明
:-------: | :-------:  | :------:
值非空校验 | 附件字段、图标、复选框、单选按钮、单选按钮组、图片不参与非空校验
邮箱字段内容规则校验器 | 校验邮箱的后缀是否正确
手机号码规则校验器 | 校验手机号
数值范围校验器 | 校验数值范围

## 后端校验

### 前端指令

指令名 | 参数格式 | 说明
:-------: | :-------:  | :------:
`showFieldTips` | [{fieldKey:'textfield',success: false, level: 'Info', tip: "数据已存在", type:'others', deleteRule:{action:'isDeferent', fields:['textfield1','textfield']}},{fieldKey:'mulilangtextfield',success: false, level: 'Info', tip: "数据已存在", type:'others', deleteRule:{action:'isChange', fields:['mulilangtextfield','textfield']}}] | fieldKey提示字段的标识；success检验是否通过；tips字段提示信息；type类型，others表示后端校验；deleteRule字段校验提示信息的清除规则，action触发清除的动作，默认动作是值改变立即清除提示信息，fields需要清除的关联字段提示信息的字段标识
`cleanFieldTips` | {ctrlKey:"控件标识"} | 清除字段提示信息；ctrlKey，可选参数；ctrlKey为空时清除所有字段提示信息

?> 关于字段校验提示清除规则

后端做组合字段唯一性校验时，把后端校验结果发给前端，前端显示相应字段提示信息，当任意一个相关联的字段的值发生变化需要前端把所有关联字段的字段提示信息清除。

### 插件API

敬请期待~
