# 通用图
> echarts所支持的图表，都可以通过通用图实现，配置相对灵活。当设计器上提供的图表类型均不满足业务场景时，例如需要实现一个漏斗图，可以使用通用图实现。

## 控件对象
`kd.bos.form.chart.Chart`

?> 业务属性和样式属性与其他图表一致，请参考[条形图](ctrl/chart/barchart/)

## 插件示例

?> 业务属性控制相关API和其他图表一致，请参考[条形图](ctrl/chart/barchart/)

### 高级用法

- **声明一个漏斗图**
```java
// 声明一个漏斗图图表对象
Control _funnelchart = this.getControl("funnelchartap");
if (_funnelchart != null) {
  Chart funnelchart = (Chart) _funnelchart;
}
```

?> 其他参数设置均可参考[条形图](ctrl/chart/barchart/)的插件API