# 二维码
>用于展示二维码或条形码

## 控件对象
`kd.bos.form.control.QRCode`

## 视觉展示

- **二维码** 

![qr1.PNG](./image/qr1.PNG)

- **条形码**

![bar1.PNG](./image/bar1.PNG)

- **数字条形码**

![num1.PNG](./image/num1.PNG)

## 属性说明
属性名  | 属性ID |类型| 默认值 | 说明  
-------  | :-------:  | :------: | :-------:  | ------
显示风格 | `qcs` |number|`0`| 切换显示风格，二维码（`0`）和条形码（`1`）
显示条形码数字 | `displayValue` |boolean|`false`|  是否显示条形码对应内容，只在显示风格为条形码时可设置

?> 控件通用属性[请参考](advanced/controlProperties/)

## 插件示例

- **设置URL**

```java
QRCode code = this.getView().getControl("控件标识");
code.setUrl("url");
```  
