# 复选框字段
>在一组选项中进行多项选择的字段

?> 结合 **字段布局面板** 控件使用是最佳实践。

## 控件对象
`kd.bos.form.field.FieldEdit`

## 视觉展示
风格 |视觉   
------- | -------  
默认 |![default.png](./image/default.png)  
标签 | ![labelstyle.png](./image/labelstyle.png) 
勾选 | ![checkstyle.png](./image/checkstyle.png) 
显示Tips|![tips.png](./image/tips.png)

## 属性说明
### 字段通用属性
?> 字段通用属性[请参考](ctrl/commonField/text/)

### 业务属性
业务属性 | 属性ID | 类型 | 默认值 | 说明  
:----: | :----: | :----: | :----: | ---- 
复选框风格 | `s` | number | `0` | 设置复选框风格：开关（默认）、标签（`1`）、选项（`2`）

### 样式属性
?> 样式属性[请参考](ctrl/commonField/text/)

?> 控件通用属性[请参考](advanced/controlProperties/)

### 即时触发值更新
?> 即时触发值更新[请参考](ctrl/commonField/text/)

## 插件示例
?> 插件示例[请参考](ctrl/commonField/text/)