# 日期字段
>日期选择控件。

## 控件对象
`kd.bos.form.field.DateEdit`

## 视觉展示

- **默认** 

![date_default.jpg](./image/date_default.jpg)

- **月份选择（掩码设置YYYY-MM）** 

![date_month.jpg](./image/date_month.jpg)

- **年份选择（掩码设置YYYY）** 

![date_year.jpg](./image/date_year.jpg)

## 属性说明
属性名 | 属性ID | 类型 | 默认值 | 说明 
---- | :----: | :----: | :----: | ---- 
掩码 | `mask` | string |  | 设置日期控件的交互形态，可以配置选择年月日
格式化字符串 | `df` | string |  | 设置日期控件编辑完成后的显示格式
可选范围 |  |  |  | 设置日期控件开始时间和结束时间，选择日期时只能在这个范围内选择
为空提示信息 | `emptytip` | Map | | 当字段内容为空时，输入框内显示的信息

?> 控件通用属性[请参考](advanced/controlProperties/)

## 插件示例

- **设置日期**
```java
this.getModel().setValue("字段标识", new Date());
```

!>DateEdit重写了DateTimeEdit 方法基本一致