# 小数字段
>录入小数数据。

## 控件对象
`kd.bos.form.field.DecimalEdit`

## 视觉展示

![decimal_display.jpg](./image/decimal_display.jpg)

## 属性说明
属性名 | 属性ID | 类型 | 默认值 | 说明 
---- | :----: | :----: | :----: | ---- 
不显示尾零 | `sz` | boolean | `false` | 当勾选之后如果小数字段小数点后存在尾零，则编辑完成后不显示
掩码 | `mask` | string |  | 设置数值编辑完成之后的显示，控制数值的显示格式，包括分隔符和百分号的控制
格式化字符串 | `df` | string |  | 设置数值编辑完成之后的显示，控制数值的显示格式，包括分隔符和百分号的控制
缺省值 |  | number | `0` | 数字控件的缺省值默认是0 如果使用过程中没有输入相应的值
整体精度 | `pc` | number | `23` | 数值总长度，控制整数部分和小数部分的精度
小数精度 | `sc` | number | `20` | 设置小数部分的精度，设置后整数部分精度为整体精度减去小数精度
数值范围 | `dataScope` | string |  | 设置数据可输入范围，例：`[0,99]`  `(0,99)`
为零显示 | `zs` | boolean | `false` | 勾选后当数字控件的值为0时显示0，不勾选值为0则不显示，默认不勾选
允许为空 |  | boolean | `false` | 勾选后，空值不能存入数据库

?> 控件通用属性[请参考](advanced/controlProperties/)
