# 整数字段
>录入整数数据。

## 控件对象
`kd.bos.form.field.IntegerEdit`

## 视觉展示

![integer_display.jpg](./image/integer_display.jpg)

## 属性说明
属性名 | 属性ID | 类型 | 默认值 | 说明 
---- | :----: | :----: | :----: | ---- 
掩码 | `mask` | string |  | 设置数值编辑完成之后的显示，控制数值的显示格式，包括分隔符和百分号的控制
格式化字符串 | `df` | string |  | 设置数值编辑完成之后的显示，控制数值的显示格式，包括分隔符和百分号的控制
缺省值 |  | number | `0` | 数字控件的缺省值默认是0 如果使用过程中没有输入相应的值
数值范围 | `dataScope` | string |  | 设置数据可输入范围，例：`[0,99]`  `(0,99)`
为零显示 | `zs` | boolean | `false` | 勾选后当数字控件的值为0时显示0，不勾选值为0则不显示，默认不勾选
允许为空 |  | boolean | `false` | 勾选后，空值不能存入数据库

?> 控件通用属性[请参考](advanced/controlProperties/)
