# 图片字段支持裁切

## 用户场景
HR在上传员工头像时, 需要对员工头像进行放大/缩小/旋转 等操作, 最终裁切出大小合适的头像

## 功能介绍
1. 支持图片的缩放, 缩放比例的范围是[10%, 250%]
2. 支持图片的旋转, 逆时针旋转, 每次旋转角度是90度
3. 支持对图片进行二次裁切, 并且二次裁切的图片会作为最终上传的图片存到数据库中

## 操作步骤
1. 需要在设计器内, 开启'允许裁剪'属性

## 视觉效果
![allowCropper.png](./image/allow_cropper.png)