# 特殊列
>一些非字段列，单据体、子单据体、树形单据体和列表均支持，报表不支持。

## 分组列

  可将若干列组成一组去展示

?> 注意分组列如果没有子列，表格列头会显示异常

![分组列](./image/fenzuliezhanshi.png) 

## 合并列表字段

  可将若干列组成一列去显示

?> 目前只支持`列表`

![合并列表字段](./image/combindField.png)

## 操作列

  可以设置针对该行的一系列操作，**不可以录入数据**。
 
![操作列](./image/caozuoliefenggezhanshi.png)   

### 操作列值格式
```js
[
  {
    opk:'new',
    locked:true,
    visible:true,
    fontSize:'16px',
    foreColor:'red',
  }
]
```

## 容器列

  可以在自定义单元格的显示内容，支持Flex布局，**不可以录入数据**。
 
?> 该列由于支持布局，故会有性能影响，如无太大必要，慎用该字段