# 报表（虚模式表格）
>以列表形式展示数据，可以滚动加载数据，不可录入数据，一般仅用来展示数据，不做其他特殊操作

## 创建报表

![chuangjianbaobiao.gif](./image/chuangjianbaobiao.gif)
## 配置数据源

![chuangjianbaobiao1.gif](./image/chuangjianbaobiao1.gif)

## 报表功能
### 列宽自适应
报表默认有列宽自适应功能，当列表有剩余宽度时，会平均分配到所有未设置列宽的列上。

?> 注意只有默认列宽的列才会自适应，其他如设置了列宽、拖动过列宽的列不会自适应。

### 行高自适应
表格级属性，行的高度取决于该行内容较多的单元格高度，多行多语言字段、多行文本支持较好，文本、大文本、基础资料和多语言文本可以换行，其他字段如金额、数字等由于规范不会换行。
由于报表是滚动加载数据，自适应行高仅在行初始化显示的时候生效，后面拖动列宽也不会改变这个高度。
设置行高自适应后，合计行的高度会取默认设置的行高。
