# 苍穹集成企业微信
   - 开放的APP能力
   - 验签

## 已集成企业微信APP的能力
   - 扫码--**scanQRCode**
   - 预览图片--**previewImage**
   - 关闭当前H5页面--**closeWebview**


## 如何调用

```java
//调用扫描功能
MobileFormView view = (MobileFormView)this.getView();
view.callClientAppMethod(ClientMethod.ScanQRCode, null);

/**
    如调用该App方法会有回调，则进该事件
*/
@Override
public void customEvent(CustomEventArgs e) {
    String eventName = e.getEventName();
    String value = e.getEventArgs();
    String key = e.getKey();
    if(key.equals("callAppMethod") && eventName.equals(ClientMethod.ScanQRCode.getValue())){
       // you code
    }
}
```

## 在企业微信里面创建应用
1. 进入[企业微信官网](https://work.weixin.qq.com/)，并登录管理后台
2. 创建应用
![创建应用.png](./image/clipboard3.png)

## 验签步骤
1. 在苍穹平台 -> 应用 -> 系统云 -> 配置工具 -> 单点登录 -> 企业微信号, 进行配置相关信息
![配置.png](./image/clipboard1.png)

2. 获取企业ID、企业名称
![获取企业信息.png](./image/clipboard2.png)

3. 找到具体应用
![找到具体应用.png](./image/clipboard4.png)

4. 进入具体应用并获取应用ID、名称和密钥
![进入具体应用.png](./image/clipboard5.png)

5. 配置完成后，继续回到应用详情页面
![应用详情页面.png](./image/clipboard6.png)

6. 获取验签文件
![获取验签文件.png](./image/clipboard7.png)

## 上传验签文件
获取验签文件后(服务器上传路径需要跟金蝶开发确认)

公有云: 将验签文件传给金蝶相关人员, 由金蝶运维上传到公有云

私有云: 需要私有云维护人员传到服务器上面
