(function(KDApi, $){
    function HelloWorld (model) {
        this._setModel(model)
    }

    HelloWorld.prototype = {
        _setModel: function(model) {
            this.model = model
        },
        init: function(props){
            // TO DO
            initFunc(this.model, props)
        },
        update: function(props){
            // TO DO
            updateFunc(this.model, props)
        },
        destoryed: function(){
            // TO DO
            alert('destory: Hello World!')
        }
    }

    // Other Code
    var initFunc = function(model, props) {
        // KDApi.loadFile可以通过路径加载js或css文件，并且在html文件头生成script或者link标签，第一个参数是路径，第二个参数是model，第三个参数是加载完成后执行的回调函数
        KDApi.loadFile('./css/helloworld.css', model, function() {
            // 后端插件通过setData传给前端的数据，前端可以通过props.data去获取
            var text = props.data && props.data.text || ''
            // 通过路径去获取html字符串，第一个参数是路径，第二个参数是model，第三个参数是HTML模板中变量的值
            KDApi.getTemplateStringByFilePath('./html/helloworld.art', model, {
                text: text
            }).then(function(result) {
                model.dom.innerHTML = result
                // 绑定DOM事件
                initEvent(model, props)
            })        
        })
    }

    var updateFunc = function(model, props) {
        var updateText = props.data && props.data.text || ''
        $('.helloworld', model.dom).text(updateText)
    }

    var initEvent = function(model, props){
        $('.helloworld', model.dom).click(function(){
            // model.invoke，用于给后端发送请求，第一个参数是事件名，可自定义；第二个参数是发送给后端的数据，可以是任意类型
            model.invoke('click', 'Hello World!')
        })
    }

    KDApi.register('helloworld', HelloWorld)
})(window.KDApi, jQuery)