# 大任务后台处理中心

>当系统在进行异步处理的时候，针对部分场景（如批量审核，批量删除，批量生成凭证、引入引出的状态等需要耗时且需要跳出当前转后台的一些动作）的一种事件处理状态反馈

## 视觉展示
无任务列表时，不会有任何展示;  
有运行列表时，两种展示形式：  
- 以控件形式嵌入到页面某个部位  
- 以全局控件悬浮球方式初始化放置在页面右下角,可以拖拽页面任意位置
### 1、嵌入式

!>**注意:**  
1、 **运行中的数字: 后台处理中正在运行的任务数**  
2、 **图标中的进度条: 当前运行列表中状态为已完成、已取消、任务异常占总任务数的比例**  
3、 **点击后台处理图标展开列表，再次点击关闭列表**

![节点](./image/qianru1.png) 


**点击展开列表**

![节点](./image/qianru2.png)

**完成率为100%时的图标**

![节点](./image/qianru3.png)
![节点](./image/qianru4.png)
### 2、悬浮球

**初始化在页面右下方，可以任意拖拽**

![节点](./image/xuanfu1.png) 

**点击悬浮球展开任务列表、鼠标点击非列表区域关闭任务列表**

![节点](./image/xuanfu2.png) 

**悬停时，球右边展示运行中的任务数**

![节点](./image/xuanfu3.png) 
![节点](./image/xuanfu4.png) 

**点击任务条目，进行查看任务详情**

![节点](./image/chakan.png) 

**点击清除,这里清除的是那些已经完成的任务，包括:已完成、已取消、任务异常**

![节点](./image/qingchu.png) 


## 国际化

**支持国际化**

![节点](./image/guojihua.png) 
