# 城市
>可以选择国内和国际的城市

## 控件对象
`kd.bos.form.field.CityEdit`

## 视觉展示
- **点击选择**

![select.png](./image/select.png ':size=420')

- **模糊搜索**

![search.png](./image/search.png)

- **选中数据**

![selected.png](./image/selected.png)

- **空数据**

![nodata.png](./image/nodata.png)


## 属性说明

### 字段通用属性
?> 字段通用属性[请参考](ctrl/commonField/text/)
### 业务属性
属性名 | 属性ID | 类型 | 默认值 | 说明
:----: | :----: | :----: | :----: | ----
显示属性 | `dsp` | String | `name` | 设置城市显示的格式 : 编码（`number`）、名称（`name`）、编码+名称(`number,name`)、名称+编码(`name,number`)
缺省值  | | | | 配置默认城市
为空提示信息 | `emptytip` | Map | | 当字段内容为空时，输入框内显示的信息

### 样式属性
?> 样式属性[请参考](ctrl/commonField/text/)

?> 控件通用属性[请参考](advanced/controlProperties/)

## 插件示例
?> 插件示例可参考[文本字段](ctrl/commonField/text/)