# 邮箱
用于录入邮箱字段

## 控件对象
`kd.bos.form.field.EmailEdit`

## 视觉展示
输入时会有常用的邮箱后缀匹配

![email.png](./image/email.png)

邮箱格式不正确时会有提示

![error.png](./image/error.png)


## 属性说明

### 字段通用属性
?> 字段通用属性[请参考](ctrl/commonField/text/)
### 业务属性
属性名 | 属性ID | 类型 | 默认值 | 说明
:----: | :----: | :----: | :----: | ----
缺省值  | | | | 配置默认邮箱信息
为空提示信息 | `emptytip` | Map | | 当字段内容为空时，输入框内显示的信息

### 样式属性
?> 样式属性[请参考](ctrl/commonField/text/)

?> 控件通用属性[请参考](advanced/controlProperties/)

