# 消息弹窗
>消息弹窗

## 控件对象
`kd.bos.form.control.Notification`

## 视觉展示
>错误类弹窗

![错误类弹窗](./image/error.PNG)

>消息类弹窗

![消息类弹窗](./image/message.PNG)

消息并行反馈

>确认类弹窗

![确认类弹窗](./image/confirm.PNG)

## 前端指令

指令名 | 参数 | 说明
:-------: | :-------:  | :------:
`showErrMsg` | {"errorTitle":"查询主键值不能为空！","errorInfo":"bizcustomlistap错误信息：ORM引擎读取数据失败，查询主键值不能为空"} | errorTitle错误消息的标题；errorInfo错误消息的消息信息
`showMessage` | {"msg": "当前表单会话超时，表单将刷新","messageType": 0,detail: "详情"} | msg消息主体；messageType消息类型；detail消息详情
`showConfirm` | {"msg": {"args": [{ "text": '点击此处', "value": 'clickthis', index:'0' }],temp: '报表公式取数失败2条, #{0}查看采集失败日志'},"detail": "66666","confirmType": 0,"button_type": 5,"btn_names":{"2":"按钮1","4":"按钮2"},"id":"refleshrootpage",callbackValue:""} | msg消息主体,可以是字符串，也可以是object对象，若是object时则包含超链接,消息#{number}为超链接占位符；detail消息详情；confirmType消息类型，根据提示类型显示不同的图片；button_type消息框的按钮类型；btn_names按钮名称；id回调函数的id；callbackValue回调函数的参数
## 插件示例

- ****
```java
敬请期待~
```