# 多语言文本字段
>可以输入多种语言的文本字段。

?> 结合 **字段布局面板** 控件使用是最佳实践。

## 控件对象
`kd.bos.form.field.TextEdit`

## 视觉展示
![localetext.png](./image/localetext.png ':size=300x200')

## 属性说明
### 字段通用属性
?> 字段通用属性[请参考](ctrl/commonField/text/)

### 业务属性
业务属性 | 属性ID | 类型 | 默认值 | 说明 
:---: | :---: | :---: | :---: | --- 
最大长度 | `maxlength` | number | `50` | 字段允许输入的最大长度范围，超出输入无效
最小长度 | `minlength` | number | `0` | 字段允许输入的最小长度范围
为空提示信息 | `emptytip` | Map | | 当字段内容为空时，输入框内显示的信息
锁定为空提示信息 | `lockedemptytip` | Map | | 当字段锁定且内容为空时，输入框内显示的信息
加密存储 | | boolean| `false` | 设置文本是否加密存储
多行 | `mutiline` | boolean | `false` |  输入内容是否换行显示
通用语言 |  | boolean | `true` |  多语言字段当前环境语言为空时，显示通用语言[GL]

### 样式属性
?> 样式属性[请参考](ctrl/commonField/text/)

?> 控件通用属性[请参考](advanced/controlProperties/)

### 即时触发值更新
?> 即时触发值更新[请参考](ctrl/commonField/text/)

## 插件示例
?> 插件示例[请参考](ctrl/commonField/text/)