# 图片字段
>用来上传图片的字段，只能上传一张图片。

?> 结合 **字段布局面板** 控件使用是最佳实践。

## 控件对象
`kd.bos.form.field.PictureEdit`

## 视觉展示
- **默认**

![haspicture.png](./image/haspicture.png ':size=300x200')

- **高或宽小于56px**

![smallpicture.png](./image/smallpicture.png)

- **开启 允许裁剪 属性后**

![allowCropper.png](./image/allow_cropper.png)

## 属性说明
### 字段通用属性
?> 字段通用属性[请参考](ctrl/commonField/text/)

### 图片属性
图片属性 | 属性ID | 类型 | 默认值 | 说明  
---- | :----: | :----: | ---- | ---- 
放大镜 | `sem` | boolean | `false` | 鼠标悬停时，局部放大图片细节
缩略图参数 | `thumbparam` | array | | 设置图片上传后的缩略参数
背景图片 | `bgik` | string | | 设置图片的背景图片
默认图片 | `dik` | string | | 设置图片的默认图片
锁定预览 | `lp` | boolean | `true` | 设置图片在锁定状态下是否可以点击预览
允许裁剪 | `allowCropper` | boolean | `false` | 设置图片是否 允许裁剪

### 样式属性
?> 样式属性[请参考](ctrl/commonField/text/)

?> 控件通用属性[请参考](advanced/controlProperties/)

## 插件示例
?> 插件示例[请参考](ctrl/commonField/text/)