# 多行文本字段
>可以输入多行内容，回车换行的文本。

?> 结合 **字段布局面板** 控件使用是最佳实践。

## 控件对象
`kd.bos.form.field.TextEdit`

## 视觉展示
![textarea.png](./image/textarea.png ':size=350x150')

## 属性说明
### 字段通用属性
?> 字段通用属性[请参考](ctrl/commonField/text/)

### 业务属性
业务属性 | 属性ID | 类型 | 默认值 | 说明 
:---: | :---: | :---: | :---: | --- 
最大长度 | `maxlength` | number | `255` | 字段允许输入的最大长度范围，超出输入无效
最小长度 | `minlength` | number | `0` | 字段允许输入的最小长度范围
编辑风格 | `showEditButton/eb` | boolean | `文本框编辑` | 设置文本类型字段的编辑风格，showEditButton设置是否显示编辑按钮；eb设置文本输入框是否可编辑
按钮图标 | `fontClass` | string | | 在文本类型字段为按钮编辑风格时，可以设置按钮的图标
为空提示信息 | `emptytip` | Map | | 当字段内容为空时，输入框内显示的信息
锁定为空提示信息 | `lockedemptytip` | Map | | 当字段锁定且内容为空时，输入框内显示的信息

### 样式属性
?> 样式属性[请参考](ctrl/commonField/text/)

?> 控件通用属性[请参考](advanced/controlProperties/)
## 插件示例
?> 插件示例[请参考](ctrl/commonField/text/)