# Flex高级面板
>对Flex 面板的一个扩展，同时具备添加摘要和工具栏项的功能

## 控件对象
`kd.bos.form.container.AdvContainer`

## 何时使用
当需要添加摘要信息或者需要对单据进行操作时,如:新增、查看、保存、删除等


## 视觉展示

![默认](./image/ui.png)

## 布局
 控件的布局 详见[flex面板布局](ctrl/container/flexpanel/?id=为什么要布局)

## 摘要容器
用于放置摘要信息，可添加图片控件或者标签用作摘要信息。

## 工具栏的使用
 工具栏的使用 详见[工具栏](ctrl/categoryNavigation/toolbar/)

----

## 属性介绍
业务属性名 | 属性ID | 类型 | 默认值 | 说明  
------- | :----: | :----: | :----: | -------  
可折叠 | `collapsible` | Boolean | false | 设置面板是否可折叠  
默认折叠 | `defaultcollapse` | Boolean | false | 设置面板默认的折叠状态
允许点击 | `clickable` | Boolean | fasle | 点击面板发送click请求
显示Tips | `tips` | Object | | 可折叠情况下显示配置的Tips信息  
允许全屏 | `maximize` | Bollean | false | 允许flex面板全屏

<br/>

样式属性名 | 属性ID | 类型 | 默认值 | 说明  
------- | :----: | :----: | :----: | -------  
扩展比率 | `gr` | Number | 1 | 父容器空间剩余时，本身按扩展比例扩展，可扩展`1`，不可扩展`0`
压缩比率 | `sk` | Number | 1 | 父容器空间不够时，本身按压缩比例压缩，可压缩`1`，不可压缩`0`
圆角半径 | `rd` | String | | 设置控件圆角半径
侧轴对齐 | `as` | String | default | 设置子项在容器侧轴方向上的对齐方式，该属性对容器子项生效
堆叠顺序 | `zIndex` | Number | 0 | 设置控件的堆叠顺序
溢出 | `of` | String | auto | 容器空间不够时的呈现效果

?> 控件通用属性[请参考](advanced/controlProperties/)

## 插件示例
- **和flexpanel类似，具体详见 [flexpannel插件示例](ctrl/container/flexpanel/?id=插件api)**



