# 过滤控件

>配合单据体实现快速过滤和筛选数据。

## 何时使用

在使用单据体控件时，多数情况需要配合过滤控件来实现快速搜索得到满足条件的数据。
在过滤面板中，数据全部由后端传递，整个数据包括快速查询、常用查询条件、方案查询条，如需在初始化是便勾选一项或者几项条件，也可以在常用查询条件的数据包中携带过来。

过滤控件支持`快速过滤`、`条件过滤`、`方案查询`三种过滤方式；

## 快速过滤
在过滤控件右上角的搜索框输入关键词，按回车快速模糊搜索匹配关键词的数据

![quicksearch.png](./image/quicksearch.gif)

## 条件过滤
选择常用条件中的任意条件，通过单选多选的方式，来查询符合条件的数据

![conditionalsearch.png](./image/conditionalsearch.png)

## 方案过滤
配置一系列查询条件，保存为一个查询方案。

![programsearch.png](./image/programsearch.png)

## 如何配置列表过滤
单据的列表数据过滤条件只需要在设计器中配置哪些字段参与过滤即可，剩下的事情交给框架。
- **单据有三个字段 `年龄`、`姓名`、`性别`，通过`姓名`进行`快速过滤`，`性别`当做常用条件过滤，三个字段都当做方案查询字段。**

![filtersetting.gif](./image/filtersetting.gif)

