# WeLink苍穹轻应用免登

## 创建轻应用
1. 以WeLink帐号登录We码小程序[开放平台](https://login.welink.huaweicloud.com/sso-proxy-front/#/loginenduser?redirect_uri=https%3A%2F%2Fopen.welink.huaweicloud.com%2Fwecode%2Fmyapp%2Flist.html%3FctApp%3Dtrue)，WeLink帐号可联系企业管理员开通。
2. 点击“创建应用”，填写应用名称。
<br>该名称是轻应用上线后用户看到的名称，可随时修改。如果提示名称重复，换一个名称重新输入即可。<br/>
![create_we.png](./image/create_we.png)
3. 跳到应用开发页查看该应用的client_id和client_secret，记录用于mc配置。
![client_id.png](./image/client_id.png)

## MC配置
联系mc管理员配置以下参数
![mc.png](./image/mc.png)

## 应用配置
1. 返回开放平台，点击右上角“我的应用”，选择已创建的We码应用。
2. 在导航栏中选择“版本与发布”，再选择“其他方式”。
![othermethods.png](./image/othermethods.png)
3. 将H5轻应用的入口地址配置到“H5页面链接”。
![h5url.png](./image/h5url.png)

## 提交审核
1. 返回开放平台，点击右上角“我的应用”，选择已创建的We码应用。
2. 在导航栏中选择“版本与发布”，再选择“提交审核”。
![submit.png](./image/submit.png)

## 管理员审核
1. 以welink管理员账号登录[管理后台](https://welink.huaweicloud.com/)
2. 在导航栏中选择“业务应用”，再选择“应用管理”
![yingyongguanli.png](./image/yingyongguanli.png)
3. 找到待审核的自建应用，并选中
![shenhe.png](./image/shenhe.png)
4. 审核新版本
![shenhexinbanben.png](./image/shenhexinbanben.png)

## 发布应用
1. 管理员审核完毕后，返回welink开放平台页面
2. 选择“发布至正式环境”即可
如果这里的按钮还是置灰状态，尝试刷新一下页面
![fabu.png](./image/fabu.png)
